enemy = {} 
enemy.a = {} 

local stimer = 1.5
local srate = 2


local epic = love.graphics.newImage("assets/steve.png")

function enemy:spawn(num)
	local t = {} 
	t.x = 481 + num*30
	t.y = 480 - 64
	table.insert(self.a,t)
end

function enemy:update(s,dt)
	if s then 
	
		if stimer >= srate then 
			for i=1,math.random(1,5) do 
				enemy:spawn(i)
			end
			stimer = stimer - srate
		end
		stimer = stimer + dt 
		for i,v in ipairs(enemy.a) do 
			v.x = v.x - 120 * dt
			if v.x <= -64 then table.remove(enemy.a,i) end 
			if checkCollision(v.x+16,v.y+10,34,40, p.x+16,p.y+10,44,30) then 
				p.health = p.health - 1
				table.remove(enemy.a,i)
			end
		end
	end
end

function enemy:draw(s)
	if s then 
	
		for i,v in ipairs(enemy.a) do 
			love.graphics.draw(epic,v.x,v.y)
			if _debug then love.graphics.rectangle("line",v.x+16,v.y+10,34,40)end
		end
	
	end
end
